Get Savings Details of usage and cost avoidance for a meter's bills
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | The meter for which to retrieve data | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | Number of years of data to return; includes the current year - Defaults to 5 | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
SavingsMeterBillResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| account | AccountChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| actualCost | Actual Cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| actualNativeUse | Actual Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| baselineCost | Baseline Cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| baselineNativeUse | Baseline Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| baselineNonweatherNativeUse | Baseline Nonweather Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| baselineWeatherNativeUse | Baseline Weather Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| batccCost | Baseline Adjusted to Current Conditions (BATCC) Cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| batccNativeUse | Baseline Adjusted to Current Conditions (BATCC) Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| batccNonweatherNativeUse | Baseline Adjusted to Current Conditions (BATCC) Nonweather Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| batccWeatherNativeUse | Baseline Adjusted to Current Conditions (BATCC) Weather Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billId | Unique ID of the bill processed for this savings record | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billMtrCapId | Unique ID for this savings record (Bill Meter CAP) | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billMtrNotes | string[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| calendarPeriod | Calendar Period Number (e.g. 4) | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| calendarYear | Calendar Year (e.g. 2019) | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| capStatus | Cost Avoidance Status | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| cdd | Cooling Degree Days | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| cddAdjusted | Cooling Degree Days Adjusted | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| coolR2 | Cooling R2 | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| coolingUsePerDegreeDay | Cooling Use Per Degree Day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fiscalPeriod | Fiscal Period Number | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fiscalYear | Fiscal Year | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hdd | Heating Degree Days | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hddAdjusted | Heating Degree Days Adjusted | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| heatR2 | Heating R2 | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| heatingUsePerDegreeDay | Heating Use Per Degree Day | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| locked | Indicates whether or not the bill’s cost avoidance data is locked | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meter | MeterChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nativeUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| periodName | Calendar Period Name (e.g. Jan) | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| place | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| review | Reviewed | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
Reviewed properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| savingsCost | Savings Cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| savingsCostPercent | Savings Cost Percent | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| savingsNativeUse | Savings Native Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| savingsNativeUsePercent | Savings Native Use Percent | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "account": { "accountCode": "string", "accountId": 1, "accountInfo": "string", "active": false, "hasCalculatedMeter": false, "hasSplitChildMeter": false, "hasSplitParentMeter": false, "hasSubAccount": false, "isSubAccount": false, "vendor": {}
}, "actualCost": 1.0, "actualNativeUse": 1.0, "baselineCost": 1.0, "baselineNativeUse": 1.0, "baselineNonweatherNativeUse": 1.0, "baselineWeatherNativeUse": 1.0, "batccCost": 1.0, "batccNativeUse": 1.0, "batccNonweatherNativeUse": 1.0, "batccWeatherNativeUse": 1.0, "billId": 1, "billMtrCapId": 1, "billMtrNotes": [
"string"
], "calendarPeriod": 1, "calendarYear": 1, "capStatus": "string", "cdd": 1, "cddAdjusted": false, "coolR2": 1.0, "coolingUsePerDegreeDay": 1.0, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "fiscalPeriod": 1, "fiscalYear": 1, "hdd": 1, "hddAdjusted": false, "heatR2": 1.0, "heatingUsePerDegreeDay": 1.0, "locked": false, "meter": { "active": false, "commodity": {}, "isCalculatedMeter": false, "isEsaCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterCode": "string", "meterId": 1, "meterInfo": "string", "meterType": {}, "serialNumber": "string"
}, "nativeUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "periodName": "string", "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "review": { "reviewed": false, "reviewedBy": {}, "reviewedDate": "2026-03-30"
}, "savingsCost": 1.0, "savingsCostPercent": 1.0, "savingsNativeUse": 1.0, "savingsNativeUsePercent": 1.0
}
]